package com.sysu.admin.support.shiro;

import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.shiro.authc.UsernamePasswordToken;

/**
 * @title ShiroAuthenToken
 * @description
 * @author XIE
 * @date 2020年4月24日下午10:09:51
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ShiroToken extends UsernamePasswordToken {

    private static final long serialVersionUID = 5898441540965086534L;

    private String captcha;

    public ShiroToken(String username, String password) {
        super(username, password);
    }

    public ShiroToken(String username, String password, boolean rememberMe) {
        super(username, password, rememberMe);
    }

    public ShiroToken(String username, String password, boolean rememberMe, String captcha) {
        super(username, password, rememberMe);
        this.captcha = captcha;
    }
}
